Name:          gmetric4j
Version:       1.0.10
Release:       9%{?dist}
Summary:       JVM instrumentation to Ganglia
License:       BSD
URL:           https://github.com/ganglia/gmetric4j
Source0:       https://github.com/ganglia/gmetric4j/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.acplt.remotetea:remotetea-oncrpc)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: xmvn

BuildArch:     noarch

%description
Gmetric4j is a 100% java, configurable Ganglia agent that
periodically polls arbitrary attributes and reports their
values to Ganglia.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete

%pom_remove_plugin :maven-jar-plugin
%pom_add_plugin "org.apache.maven.plugins:maven-jar-plugin:2.4" . '
<executions>
  <execution>
    <goals>
      <goal>test-jar</goal>
    </goals>
  </execution>
</executions>'

%pom_remove_plugin :maven-javadoc-plugin
# disable source jar
%pom_remove_plugin :maven-source-plugin

%pom_xpath_inject "pom:plugin[pom:artifactId ='maven-bundle-plugin']/pom:configuration/pom:instructions" "
 <Can-Redefine-Classes>false</Can-Redefine-Classes>"

rm src/main/resources/META-INF/MANIFEST.MF

rm -r src/test/java/info/ganglia/gmetric4j/gmetric/GMetricIT.java

%mvn_file : %{name}
%mvn_package :%{name}::tests:

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 09 2016 gil cattaneo <puntogil@libero.it> 1.0.10-5
- add missing build requires: xmvn
- prevent duplicate pom BR entries

* Tue Jun 21 2016 gil cattaneo <puntogil@libero.it> 1.0.10-4
- add missing build requires: maven-bundle-plugin

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 gil cattaneo <puntogil@libero.it> 1.0.10-1
- update to 1.0.10

* Wed Feb 04 2015 gil cattaneo <puntogil@libero.it> 1.0.3-5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.3-3
- Use Requires: java-headless rebuild (#1067528)

* Thu Dec 19 2013 gil cattaneo <puntogil@libero.it> 1.0.3-2
- remove Boot Class-Path

* Sat Aug 03 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- initial rpm
